# Uses of Class
org.apache.datasketches.tuple.DeserializeResult

Packages that use DeserializeResult
Package
Description
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.
org.apache.datasketches.tuple.adouble
This package is for a generic implementation of the Tuple sketch for single Double value.
org.apache.datasketches.tuple.aninteger
This package is for a generic implementation of the Tuple sketch for single Integer value.
org.apache.datasketches.tuple.strings
This package is for a generic implementation of the Tuple sketch for single String value.

## Uses of DeserializeResult in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple that return DeserializeResult
Modifier and Type
Method
Description
`DeserializeResult<S>`
SummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`
This is to create an instance of a Summary given a serialized representation.

## Uses of DeserializeResult in org.apache.datasketches.tuple.adouble

Methods in org.apache.datasketches.tuple.adouble that return DeserializeResult
Modifier and Type
Method
Description
`static DeserializeResult<DoubleSummary>`
DoubleSummary.`fromMemory(org.apache.datasketches.memory.Memory mem)`
Creates an instance of the DoubleSummary given a serialized representation
`DeserializeResult<DoubleSummary>`
DoubleSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`

## Uses of DeserializeResult in org.apache.datasketches.tuple.aninteger

Methods in org.apache.datasketches.tuple.aninteger that return DeserializeResult
Modifier and Type
Method
Description
`static DeserializeResult<IntegerSummary>`
IntegerSummary.`fromMemory(org.apache.datasketches.memory.Memory mem)`
Creates an instance of the IntegerSummary given a serialized representation
`DeserializeResult<IntegerSummary>`
IntegerSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`

## Uses of DeserializeResult in org.apache.datasketches.tuple.strings

Methods in org.apache.datasketches.tuple.strings that return DeserializeResult
Modifier and Type
Method
Description
`DeserializeResult<ArrayOfStringsSummary>`
ArrayOfStringsSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`